<div  class="box view-recipe">
    <h2>{{recipe.name}}</h2>
    <div class="row align-items-center d-flex justify-content-center">
        <div class="col"><img id="recipe-image" src={{recipe.image_url}} onerror="this.onerror=null; this.src='../../assets/default-food-icon.jpg';"></div>
        <div class="col align-top">
            <p style="text-align: center;"><i class="large utensils icon"></i>{{recipe.prep_time_mins}} min to prep</p>
            <p style="text-align: center;">Amount: <input class="num-of-portions" type="text" value="1" maxlength="2" #inputNumber> serving</p>
            <p style="text-align: center;">{{recipe.meal}} <span style="color: rgba(0,0,0,.5);font-style: italic;">{{recipe.difficulty}}</span></p>
        </div>
        <div class="col" style="text-align: center;"><canvas id="myCanvas" width="200px" height="200px" style="display: inline;"></canvas></div>
    </div>
    <div class="row ">
        <div class="col">
            <p class="ingredients" *ngFor="let ing of recipe.ingredients">{{ing}}</p>
        </div>
        <div class="col">
            <ol *ngFor="let instr of recipe.instructions; let i = index"><li value={{i+1}}>{{instr}}</li></ol>
        </div>
        <div class="col" style="padding-top: 10px;">
            <div class="col" style="text-align: left;">
                <p class="col" style="text-align:center;font-weight: 500;">RECIPE TOTALS</p>
            </div>
            <div class="row kcal">
                <p  class="col" style="text-align: left;">Calories</p>
                <p  class="col" style="text-align: right;">{{numOfPortions * recipe.nutrients.kcal}}</p>
            </div>
            <div class="row carbs">
                <p  class="col" style="text-align: left;">Carbs</p>
                <p  class="col" style="text-align: right;">{{numOfPortions * recipe.nutrients.carbs}}g</p>
            </div>
            <div class="row fats">
                <p  class="col" style="text-align: left;">Fat</p>
                <p  class="col" style="text-align: right;">{{numOfPortions * recipe.nutrients.fats}}g</p>
            </div>
            <div class="row protein">
                <p  class="col" style="text-align: left;">Protein</p>
                <p  class="col" style="text-align: right;">{{numOfPortions * recipe.nutrients.protein}}g</p>
            </div>
            <div class="row">
                <p class="col" style="min-height: 50px;"></p>
            </div>
        </div>
    </div>
    <button class="x-button" (click)="onClose()"><i class="large close icon" style="color: #bdbdbd"></i></button>
    <div class="stickers">
        <span *ngFor="let cat of recipe.category" [ngSwitch]="cat">
            <img *ngSwitchCase="'gluten-free'" class="sticker" src="../../assets/icons/gluten-free.png">
            <img *ngSwitchCase="'dairy-free'" class="sticker" src="../../assets/icons/dairy-free.png" style="transform: scaleX(-1);">
            <img *ngSwitchCase="'egg-free'" class="sticker" src="../../assets/icons/egg-free.png">
            <img *ngSwitchCase="'vegan'" class="sticker" src="../../assets/icons/vegan.png">
            <img *ngSwitchCase="'vegetarian'" class="sticker" src="../../assets/icons/vegetarian.png">
            <img *ngSwitchCase="'healthy'" class="sticker" src="../../assets/icons/healthy.png">
            <img *ngSwitchCase="'high-protein'" class="sticker" src="../../assets/icons/high-protein.png">
            <img *ngSwitchCase="'salad'" class="sticker" src="../../assets/icons/salad.png">
            <img *ngSwitchCase="'paleo'" class="sticker" src="../../assets/icons/paleo.png">
            <img *ngSwitchCase="'keto'" class="sticker" src="../../assets/icons/keto.jpg">
            <img *ngSwitchCase="'sweet'" class="sticker" src="../../assets/icons/sweet.png">
        </span>
    </div>
</div>

